moeoFitnessAssignment(3)

NAME
moeoFitnessAssignment - Functor that sets the fitness values of a whole population.

SYNOPSIS

#include <moeoFitnessAssignment.h>

Inherits eoUF< eoPop< MOEOT > &, void >.

Inherited by moeoCriterionBasedFitnessAssignment< MOEOT >, moeoDummyFitnessAssignment< MOEOT >, moeoIndicatorBasedFitnessAssignment< MOEOT >, moeoParetoBasedFitnessAssignment< MOEOT >, and moeoScalarFitnessAssignment< MOEOT >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
The type for objective vector.

  Public Member Functions
virtual void updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)=0
Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account.
void updateByDeleting (eoPop< MOEOT > &_pop, MOEOT &_moeo)
Updates the fitness values of the whole population _pop by taking the deletion of the individual _moeo into account.

Detailed Description

  template<class MOEOT> class moeoFitnessAssignment< MOEOT >
Functor that sets the fitness values of a whole population.

Definition at line 23 of file moeoFitnessAssignment.h.

Member Function Documentation

  template<class MOEOT> virtual void moeoFitnessAssignment< MOEOT >::updateByDeleting (eoPop< MOEOT > & _pop, ObjectiveVector & _objVec) [pure virtual]

Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:
    _pop the population
    _objVec the objective vector

Implemented in moeoAchievementFitnessAssignment< MOEOT >, moeoDummyFitnessAssignment< MOEOT >, moeoFastNonDominatedSortingFitnessAssignment< MOEOT >, and moeoIndicatorBasedFitnessAssignment< MOEOT >.

Referenced by moeoFitnessAssignment< MOEOT >::updateByDeleting().

  template<class MOEOT> void moeoFitnessAssignment< MOEOT >::updateByDeleting (eoPop< MOEOT > & _pop, MOEOT & _moeo) [inline]

Updates the fitness values of the whole population _pop by taking the deletion of the individual _moeo into account.

Parameters:
    _pop the population
    _moeo the individual

Definition at line 44 of file moeoFitnessAssignment.h.

References moeoFitnessAssignment< MOEOT >::updateByDeleting().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.